--- old/usr/src/lib/libm/common/C/scalbn.c	2014-11-25 12:56:57.163527347 -0500
+++ new/usr/src/lib/libm/common/C/scalbn.c	2014-11-25 12:56:57.175165477 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalbn = __scalbn
+#pragma weak __scalbn = scalbn
 
 #include "libm.h"
 
@@ -36,7 +36,7 @@
 	tiny	= 1.0e-300,
 	twom54	= 5.5511151231257827021181583404541015625e-17;
 
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const double two52 = 4503599627370496.0;
 #else
 /*
@@ -70,7 +70,7 @@
 	px[LOWORD] = w;
 	return (1 - s);
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 double
 scalbn(double x, int n) {
@@ -87,7 +87,7 @@
 	if (k == 0) {
 		if ((hx | px[LOWORD]) == 0 || n == 0)
 			return (x);
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 		x *= two52;
 		ix = px[HIWORD];
 		k = ((ix & ~0x80000000) >> 20) - 52;
--- old/usr/src/lib/libm/common/C/signgam.c	2014-11-25 12:56:57.581494792 -0500
+++ new/usr/src/lib/libm/common/C/signgam.c	2014-11-25 12:56:57.593501031 -0500
@@ -27,9 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak signgam = __signgam
+#pragma weak __signgam = signgam
 
-#include "libm_synonyms.h"
 #include <math.h>
 
 int signgam = 0;
--- old/usr/src/lib/libm/common/C/significand.c	2014-11-25 12:56:57.985013494 -0500
+++ new/usr/src/lib/libm/common/C/significand.c	2014-11-25 12:56:57.996340282 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak significand = __significand
-#endif
+#pragma weak __significand = significand
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/sin.c	2014-11-25 12:56:58.381061440 -0500
+++ new/usr/src/lib/libm/common/C/sin.c	2014-11-25 12:56:58.392728513 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sin = __sin
+#pragma weak __sin = sin
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/sincos.c	2014-11-25 12:56:58.783116773 -0500
+++ new/usr/src/lib/libm/common/C/sincos.c	2014-11-25 12:56:58.794730731 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincos = __sincos
+#pragma weak __sincos = sincos
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/sincospi.c	2014-11-25 12:56:59.245260847 -0500
+++ new/usr/src/lib/libm/common/C/sincospi.c	2014-11-25 12:56:59.258435887 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincospi = __sincospi
-
 /* INDENT OFF */
 /*
  * void sincospi(double x, double *s, double *c)
@@ -72,7 +70,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include "libm_macros.h"
 #include <math.h>
--- old/usr/src/lib/libm/common/C/sinh.c	2014-11-25 12:56:59.651724457 -0500
+++ new/usr/src/lib/libm/common/C/sinh.c	2014-11-25 12:56:59.663172475 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinh = __sinh
+#pragma weak __sinh = sinh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/sqrt.c	2014-11-25 12:57:00.049107283 -0500
+++ new/usr/src/lib/libm/common/C/sqrt.c	2014-11-25 12:57:00.060576633 -0500
@@ -26,11 +26,10 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sqrt = __sqrt
+#pragma weak __sqrt = sqrt
 
 #include "libm.h"
 
-#ifdef __INLINE
 
 extern double __inline_sqrt(double);
 
@@ -43,108 +42,3 @@
 	return ((x < 0.0)? _SVID_libm_err(x, x, 26) : z);
 }
 
-#else	/* defined(__INLINE) */
-
-/*
- * Warning: This correctly rounded sqrt is extremely slow because it computes
- * the sqrt bit by bit using integer arithmetic.
- */
-
-static const double big = 1.0e30, small = 1.0e-30;
-
-double
-sqrt(double x)
-{
-	double		z;
-	unsigned	r, t1, s1, ix1, q1;
-	int		ix0, s0, j, q, m, n, t;
-	int		 *px = (int *)&x, *pz = (int *)&z;
-
-	ix0 = px[HIWORD];
-	ix1 = px[LOWORD];
-	if ((ix0 & 0x7ff00000) == 0x7ff00000) { /* x is inf or NaN */
-		if (ix0 == 0xfff00000 && ix1 == 0)
-			return (_SVID_libm_err(x, x, 26));
-		return (x + x);
-	}
-	if (((ix0 & 0x7fffffff) | ix1) == 0)	/* x is zero */
-		return (x);
-
-	/* extract exponent and significand */
-	m = ilogb(x);
-	z = scalbn(x, -m);
-	ix0 = (pz[HIWORD] & 0x000fffff) | 0x00100000;
-	ix1 = pz[LOWORD];
-	n = m >> 1;
-	if (n + n != m) {
-		ix0 = (ix0 << 1) | (ix1 >> 31);
-		ix1 <<= 1;
-		m -= 1;
-	}
-
-	/* generate sqrt(x) bit by bit */
-	ix0 = (ix0 << 1) | (ix1 >> 31);
-	ix1 <<= 1;
-	q = q1 = s0 = s1 = 0;
-	r = 0x00200000;
-
-	for (j = 1; j <= 22; j++) {
-		t = s0 + r;
-		if (t <= ix0) {
-			s0 = t + r;
-			ix0 -= t;
-			q += r;
-		}
-		ix0 = (ix0 << 1) | (ix1 >> 31);
-		ix1 <<= 1;
-		r >>= 1;
-	}
-
-	r = 0x80000000;
-	for (j = 1; j <= 32; j++) {
-		t1 = s1 + r;
-		t = s0;
-		if (t < ix0 || (t == ix0 && t1 <= ix1)) {
-			s1 = t1 + r;
-			if ((t1 & 0x80000000) == 0x80000000 &&
-			    (s1 & 0x80000000) == 0)
-				s0 += 1;
-			ix0 -= t;
-			if (ix1 < t1)
-				ix0 -= 1;
-			ix1 -= t1;
-			q1 += r;
-		}
-		ix0 = (ix0 << 1) | (ix1 >> 31);
-		ix1 <<= 1;
-		r >>= 1;
-	}
-
-	/* round */
-	if ((ix0 | ix1) == 0)
-		goto done;
-	z = big - small;	/* trigger inexact flag */
-	if (z < big)
-		goto done;
-	if (q1 == 0xffffffff) {
-		q1 = 0;
-		q += 1;
-		goto done;
-	}
-	z = big + small;
-	if (z > big) {
-		if (q1 == 0xfffffffe)
-			q += 1;
-		q1 += 2;
-		goto done;
-	}
-	q1 += (q1 & 1);
-done:
-	pz[HIWORD] = (q >> 1) + 0x3fe00000;
-	pz[LOWORD] = q1 >> 1;
-	if ((q & 1) == 1)
-		pz[LOWORD] |= 0x80000000;
-	return (scalbn(z, n));
-}
-
-#endif	/* defined(__INLINE) */
--- old/usr/src/lib/libm/common/C/tan.c	2014-11-25 12:57:00.467549994 -0500
+++ new/usr/src/lib/libm/common/C/tan.c	2014-11-25 12:57:00.478999542 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tan = __tan
+#pragma weak __tan = tan
 
 /* INDENT OFF */
 /*
@@ -41,7 +41,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/C/tanh.c	2014-11-25 12:57:00.877552977 -0500
+++ new/usr/src/lib/libm/common/C/tanh.c	2014-11-25 12:57:00.889208315 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tanh = __tanh
+#pragma weak __tanh = tanh
 
 /* INDENT OFF */
 /*
@@ -56,7 +56,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/LD/__lgammal.c	2014-11-25 12:57:01.277414162 -0500
+++ new/usr/src/lib/libm/common/LD/__lgammal.c	2014-11-25 12:57:01.289011544 -0500
@@ -49,7 +49,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 static long double neg(long double, int *);
--- old/usr/src/lib/libm/common/LD/__poly_libmq.c	2014-11-25 12:57:01.693122152 -0500
+++ new/usr/src/lib/libm/common/LD/__poly_libmq.c	2014-11-25 12:57:01.704567631 -0500
@@ -28,7 +28,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 
 long double __poly_libmq(x,n,p)
 long double x,p[];
--- old/usr/src/lib/libm/common/LD/acoshl.c	2014-11-25 12:57:02.087630938 -0500
+++ new/usr/src/lib/libm/common/LD/acoshl.c	2014-11-25 12:57:02.099241950 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak acoshl = __acoshl
-#endif
+#pragma weak __acoshl = acoshl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/asinhl.c	2014-11-25 12:57:02.480794008 -0500
+++ new/usr/src/lib/libm/common/LD/asinhl.c	2014-11-25 12:57:02.492341792 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak asinhl = __asinhl
-#endif
+#pragma weak __asinhl = asinhl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/atan2pil.c	2014-11-25 12:57:02.887734699 -0500
+++ new/usr/src/lib/libm/common/LD/atan2pil.c	2014-11-25 12:57:02.899218942 -0500
@@ -27,10 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan2pil = __atan2pil
-
 #include "libm.h"
-#include "libm_synonyms.h"
 
 #define GENERIC	long double
 #define ATAN2PI	atan2pil
--- old/usr/src/lib/libm/common/LD/atanhl.c	2014-11-25 12:57:03.294084022 -0500
+++ new/usr/src/lib/libm/common/LD/atanhl.c	2014-11-25 12:57:03.305795158 -0500
@@ -27,10 +27,9 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atanhl = __atanhl
+#pragma weak __atanhl = atanhl
 
 #include "libm.h"
-#include "libm_synonyms.h"
 
 #define GENERIC	long double
 #define	ATANH 	atanhl
@@ -40,7 +39,7 @@
  *	ATANH(x) = --- * LOG(1 + -------) = 0.5 * LOG1P(2 * --------)
  *                  2             1 - x                      1 - x
  * Note: to guarantee ATANH(-x) = -ATANH(x), we use
- *                 sign(x)             |x|  
+ *                 sign(x)             |x|
  *	ATANH(x) = ------- * LOG1P(2*-------).
  *                    2              1 - |x|
  *
@@ -65,7 +64,7 @@
 
 GENERIC ATANH(x)
 GENERIC x;
-{	
+{
 	GENERIC t;
 	t = FABS(x);
 	if (t == one) return x/zero;
--- old/usr/src/lib/libm/common/LD/cbrtl.c	2014-11-25 12:57:03.724955044 -0500
+++ new/usr/src/lib/libm/common/LD/cbrtl.c	2014-11-25 12:57:03.736470401 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak cbrtl = __cbrtl
-#endif
+#pragma weak __cbrtl = cbrtl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/LD/coshl.c	2014-11-25 12:57:04.129868723 -0500
+++ new/usr/src/lib/libm/common/LD/coshl.c	2014-11-25 12:57:04.141206907 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak coshl = __coshl
-#endif
+#pragma weak __coshl = coshl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/LD/cosl.c	2014-11-25 12:57:04.572449684 -0500
+++ new/usr/src/lib/libm/common/LD/cosl.c	2014-11-25 12:57:04.585114878 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cosl = __cosl
+#pragma weak __cosl = cosl
 
 /* INDENT OFF */
 /* cosl(x)
@@ -63,7 +63,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/LD/erfl.c	2014-11-25 12:57:04.972036675 -0500
+++ new/usr/src/lib/libm/common/LD/erfl.c	2014-11-25 12:57:04.983582007 -0500
@@ -32,7 +32,7 @@
  *			     x
  *		      2      |\
  *     erf(x)  =  ---------  | exp(-t*t)dt
- *	 	   sqrt(pi) \| 
+ *	 	   sqrt(pi) \|
  *			     0
  *
  *     erfc(x) =  1-erf(x)
@@ -40,14 +40,14 @@
  * method:
  * 	Since erf(-x) = -erf(x), we assume x>=0.
  *	For x near 0, we have the expansion
- * 
+ *
  *     	    erf(x) = (2/sqrt(pi))*(x - x^3/3 + x^5/10 - x^7/42 + ....).
  *
  * 	Since 2/sqrt(pi) = 1.128379167095512573896158903121545171688,
  *	we use x + x*P(x^2) to approximate erf(x). This formula will
  *	guarantee the error less than one ulp where x is not too far
  *	away from 0. We note that erf(x)=x at x = 0.6174...... After
- *	some experiment, we choose the following approximation on 
+ *	some experiment, we choose the following approximation on
  *	interval [0,0.84375].
  *
  *	For x in [0,0.84375]
@@ -59,17 +59,17 @@
  *		   = 0.5 + ((0.5-x)-x*P)  if x in [0.25,0.84375]
  *	precision: |P(x^2)-(erf(x)-x)/x| <= 2**-122.50
  *
- *	For x in [0.84375,1.25], let s = x - 1, and 
+ *	For x in [0.84375,1.25], let s = x - 1, and
  *	c = 0.84506291151 rounded to single (24 bits)
  *	   erf(x)  = c  + P1(s)/Q1(s)
- *	   erfc(x) = (1-c)  - P1(s)/Q1(s) 
+ *	   erfc(x) = (1-c)  - P1(s)/Q1(s)
  *	precision: |P1/Q1 - (erf(x)-c)| <= 2**-118.41
- *	
  *
- *	For x in [1.25,1.75], let s = x - 1.5, and 
+ *
+ *	For x in [1.25,1.75], let s = x - 1.5, and
  *	c = 0.95478588343 rounded to single (24 bits)
  *	   erf(x)  = c  + P2(s)/Q2(s)
- *	   erfc(x) = (1-c)  - P2(s)/Q2(s) 
+ *	   erfc(x) = (1-c)  - P2(s)/Q2(s)
  *	precision: |P1/Q1 - (erf(x)-c)| <= 2**-123.83
  *
  *
@@ -84,16 +84,16 @@
  *	precision: absolute error of R2/S2 is bounded by 2**-120.07
  *
  *	Else if inf > x >= 107
- *	   erf(x)  = 1 with inexact 
+ *	   erf(x)  = 1 with inexact
  *	   erfc(x) = 0 with underflow
- *	
+ *
  *	Special case:
  *	   erf(inf)  = 1
  *	   erfc(inf) = 0
  */
 
-#pragma weak erfl = __erfl
-#pragma weak erfcl = __erfcl
+#pragma weak __erfl = erfl
+#pragma weak __erfcl = erfcl
 
 #include "libm.h"
 #include "longdouble.h"
@@ -132,7 +132,7 @@
    8.069088733716068462496835658928566920933e-0021L,
 };
 
-/* 
+/*
  * Rational erf(x) = ((float)0.84506291151) + P1(x-1)/Q1(x-1) on [0.84375,1.25]
  */
 static long double C1   = (long double)((float)0.84506291151);
@@ -164,7 +164,7 @@
    4.753866999959432971956781228148402971454e-0006L,
   -1.002287602111660026053981728549540200683e-0006L,
 };
-/* 
+/*
  * Rational erf(x) = ((float)0.95478588343) + P2(x-1.5)/Q2(x-1.5)
  * on [1.25,1.75]
  */
@@ -274,7 +274,7 @@
    1.000L,
 };
 
-long double erfl(x) 
+long double erfl(x)
 long double x;
 {
 	long double erfcl(long double),s,y,t;
@@ -299,7 +299,7 @@
 	    s = y-onehalf;
 	    t = C2+__poly_libmq(s,12,P2)/(one+s*__poly_libmq(s,13,Q2));
 	    return (signbitl(x))? -t: t;
-	} 
+	}
 	if (y<=9.0L) t = erfcl(y); else t = tiny;
 	return (signbitl(x))? t-one: one-t;
 }
@@ -331,7 +331,7 @@
 	    s = x-onehalf;
 	    t = one-C2;
 	    return t - __poly_libmq(s,12,P2)/(one+s*__poly_libmq(s,13,Q2));
-	} 
+	}
 	if (x>=107.0L) return nearunfl*nearunfl;		/* underflow */
 	else if (x >= L16_3) {
 	    y = __poly_libmq(x,15,R2);
--- old/usr/src/lib/libm/common/LD/finitel.c	2014-11-25 12:57:05.388867481 -0500
+++ new/usr/src/lib/libm/common/LD/finitel.c	2014-11-25 12:57:05.400324696 -0500
@@ -27,10 +27,6 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak finitel = __finitel
-#endif
-
 #include "libm.h"
 
 #if defined(__sparc)
--- old/usr/src/lib/libm/common/LD/gammal.c	2014-11-25 12:57:05.782818242 -0500
+++ new/usr/src/lib/libm/common/LD/gammal.c	2014-11-25 12:57:05.794405212 -0500
@@ -27,14 +27,13 @@
  * Use is subject to license terms.
  */
 
-#pragma weak gammal = __gammal
+#pragma weak __gammal = gammal
 
 /*
  * long double gammal(long double x);
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 extern int signgam;
--- old/usr/src/lib/libm/common/LD/gammal_r.c	2014-11-25 12:57:06.175996620 -0500
+++ new/usr/src/lib/libm/common/LD/gammal_r.c	2014-11-25 12:57:06.187530866 -0500
@@ -31,7 +31,7 @@
  * long double gammal_r(long double x, int *signgamlp);
  */
 
-#pragma weak gammal_r = __gammal_r
+#pragma weak __gammal_r = gammal_r
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/LD/hypotl.c	2014-11-25 12:57:06.569162754 -0500
+++ new/usr/src/lib/libm/common/LD/hypotl.c	2014-11-25 12:57:06.580655558 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak hypotl = __hypotl
-#endif
+#pragma weak __hypotl = hypotl
 
 /*
  * hypotl(x,y)
--- old/usr/src/lib/libm/common/LD/isnanl.c	2014-11-25 12:57:06.994855694 -0500
+++ new/usr/src/lib/libm/common/LD/isnanl.c	2014-11-25 12:57:07.006276621 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak isnanl = __isnanl
-#endif
+#pragma weak __isnanl = isnanl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/j0l.c	2014-11-25 12:57:07.392861904 -0500
+++ new/usr/src/lib/libm/common/LD/j0l.c	2014-11-25 12:57:07.404701295 -0500
@@ -36,11 +36,10 @@
  *	y0(-ve)=y1(-ve)=yn(n,-ve) are NaN with invalid signal.
  */
 
-#pragma weak j0l = __j0l
-#pragma weak y0l = __y0l
+#pragma weak __j0l = j0l
+#pragma weak __y0l = y0l
 
 #include "libm.h"
-#include "libm_synonyms.h"
 
 #include "longdouble.h"
 
--- old/usr/src/lib/libm/common/LD/j1l.c	2014-11-25 12:57:07.838255298 -0500
+++ new/usr/src/lib/libm/common/LD/j1l.c	2014-11-25 12:57:07.850147036 -0500
@@ -36,11 +36,10 @@
  *	y0(-ve)=y1(-ve)=yn(n,-ve) are NaN with invalid signal.
  */
 
-#pragma weak j1l = __j1l
-#pragma weak y1l = __y1l
+#pragma weak __j1l = j1l
+#pragma weak __y1l = y1l
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 #include <math.h>
 #if defined(__SUNPRO_C)
--- old/usr/src/lib/libm/common/LD/jnl.c	2014-11-25 12:57:08.286482904 -0500
+++ new/usr/src/lib/libm/common/LD/jnl.c	2014-11-25 12:57:08.298038131 -0500
@@ -27,10 +27,8 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak jnl = __jnl
-#pragma weak ynl = __ynl
-#endif
+#pragma weak __jnl = jnl
+#pragma weak __ynl = ynl
 
 /*
  * floating point Bessel's function of the 1st and 2nd kind
--- old/usr/src/lib/libm/common/LD/lgammal.c	2014-11-25 12:57:08.694706758 -0500
+++ new/usr/src/lib/libm/common/LD/lgammal.c	2014-11-25 12:57:08.706107193 -0500
@@ -27,14 +27,13 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lgammal = __lgammal
+#pragma weak __lgammal = lgammal
 
 /*
  * long double lgammal(long double x);
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 extern int signgam;
--- old/usr/src/lib/libm/common/LD/lgammal_r.c	2014-11-25 12:57:09.091286043 -0500
+++ new/usr/src/lib/libm/common/LD/lgammal_r.c	2014-11-25 12:57:09.102854291 -0500
@@ -31,7 +31,7 @@
  * long double lgammal_r(long double x, int *signgamlp);
  */
 
-#pragma weak lgammal_r = __lgammal_r
+#pragma weak __lgammal_r = lgammal_r
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/LD/log1pl.c	2014-11-25 12:57:09.591576785 -0500
+++ new/usr/src/lib/libm/common/LD/log1pl.c	2014-11-25 12:57:09.603025818 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak log1pl = __log1pl
-#endif
+#pragma weak __log1pl = log1pl
 
 /*
  * log1pl(x)
--- old/usr/src/lib/libm/common/LD/logbl.c	2014-11-25 12:57:10.164818427 -0500
+++ new/usr/src/lib/libm/common/LD/logbl.c	2014-11-25 12:57:10.176244091 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak logbl = __logbl
-#endif
+#pragma weak __logbl = logbl
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/LD/nextafterl.c	2014-11-25 12:57:10.566690136 -0500
+++ new/usr/src/lib/libm/common/LD/nextafterl.c	2014-11-25 12:57:10.578102165 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak nextafterl = __nextafterl
-#endif
+#pragma weak __nextafterl = nextafterl
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/LD/scalbl.c	2014-11-25 12:57:10.964482535 -0500
+++ new/usr/src/lib/libm/common/LD/scalbl.c	2014-11-25 12:57:10.976008180 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalbl = __scalbl
+#pragma weak __scalbl = scalbl
 
 /*
  * scalbl(x,n): return x * 2**n by manipulating exponent.
--- old/usr/src/lib/libm/common/LD/signgaml.c	2014-11-25 12:57:11.365248434 -0500
+++ new/usr/src/lib/libm/common/LD/signgaml.c	2014-11-25 12:57:11.376789424 -0500
@@ -27,10 +27,9 @@
  * Use is subject to license terms.
  */
 
-#pragma weak signgaml = __signgaml
+#pragma weak __signgaml = signgaml
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 int signgaml = 0;
--- old/usr/src/lib/libm/common/LD/significandl.c	2014-11-25 12:57:11.756396672 -0500
+++ new/usr/src/lib/libm/common/LD/significandl.c	2014-11-25 12:57:11.769359086 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak significandl = __significandl
-#endif
+#pragma weak __significandl = significandl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/sincosl.c	2014-11-25 12:57:12.150897147 -0500
+++ new/usr/src/lib/libm/common/LD/sincosl.c	2014-11-25 12:57:12.162245102 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincosl = __sincosl
+#pragma weak __sincosl = sincosl
 
 /* INDENT OFF */
 /* cosl(x)
@@ -62,7 +62,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/LD/sincospil.c	2014-11-25 12:57:12.548355650 -0500
+++ new/usr/src/lib/libm/common/LD/sincospil.c	2014-11-25 12:57:12.559794143 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincospil = __sincospil
-
 /*
  * void sincospil(long double x, long double *s, long double *c)
  * *s = sinl(pi*x); *c = cosl(pi*x);
@@ -71,7 +69,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/LD/sinhl.c	2014-11-25 12:57:12.982866625 -0500
+++ new/usr/src/lib/libm/common/LD/sinhl.c	2014-11-25 12:57:12.994269297 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinhl = __sinhl
+#pragma weak __sinhl = sinhl
 
 #include "libm.h"
 #include "longdouble.h"
@@ -37,14 +37,14 @@
  *
  * Method :
  *	1. reduce x to non-negative by SINH(-x) = - SINH(x).
- *	2. 
+ *	2.
  *
  *	                                      EXPM1(x) + EXPM1(x)/(EXPM1(x)+1)
  *	    0 <= x <= lnovft     : SINH(x) := --------------------------------
  *			       		                      2
  *
  *     lnovft <= x <  INF	 : SINH(x) := EXP(x-MEP1*ln2)*2**ME
- *	
+ *
  * here
  *	lnovft		logarithm of the overflow threshold
  *			= MEP1*ln2 chopped to machine precision.
--- old/usr/src/lib/libm/common/LD/sinl.c	2014-11-25 12:57:13.388012377 -0500
+++ new/usr/src/lib/libm/common/LD/sinl.c	2014-11-25 12:57:13.399508965 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinl = __sinl
+#pragma weak __sinl = sinl
 
 /* INDENT OFF */
 /* sinl(x)
@@ -63,7 +63,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/LD/sinpil.c	2014-11-25 12:57:13.786113963 -0500
+++ new/usr/src/lib/libm/common/LD/sinpil.c	2014-11-25 12:57:13.797552293 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinpil = __sinpil
-
 /* long double sinpil(long double x),
  * return long double precision sinl(pi*x).
  *
@@ -70,7 +68,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/LD/tanhl.c	2014-11-25 12:57:14.243515958 -0500
+++ new/usr/src/lib/libm/common/LD/tanhl.c	2014-11-25 12:57:14.270240353 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak tanhl = __tanhl
-#endif
+#pragma weak __tanhl = tanhl
 
 /*
  * tanhl(x) returns the hyperbolic tangent of x
--- old/usr/src/lib/libm/common/LD/tanl.c	2014-11-25 12:57:15.005418826 -0500
+++ new/usr/src/lib/libm/common/LD/tanl.c	2014-11-25 12:57:15.026509521 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tanl = __tanl
+#pragma weak __tanl = tanl
 
 /* INDENT OFF */
 /* cosl(x)
@@ -62,7 +62,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/Q/acoshl.c	2014-11-25 12:57:15.478077536 -0500
+++ new/usr/src/lib/libm/common/Q/acoshl.c	2014-11-25 12:57:15.489869264 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak acoshl = __acoshl
-#endif
+#pragma weak __acoshl = acoshl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/acosl.c	2014-11-25 12:57:16.011905488 -0500
+++ new/usr/src/lib/libm/common/Q/acosl.c	2014-11-25 12:57:16.023452448 -0500
@@ -44,7 +44,7 @@
  *	if |x|>1, return NaN with invalid signal.
  */
 
-#pragma weak acosl = __acosl
+#pragma weak __acosl = acosl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/asinhl.c	2014-11-25 12:57:16.416684920 -0500
+++ new/usr/src/lib/libm/common/Q/asinhl.c	2014-11-25 12:57:16.428081183 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak asinhl = __asinhl
-#endif
+#pragma weak __asinhl = asinhl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/asinl.c	2014-11-25 12:57:16.812478200 -0500
+++ new/usr/src/lib/libm/common/Q/asinl.c	2014-11-25 12:57:16.823970207 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak asinl = __asinl
-#endif
+#pragma weak __asinl = asinl
 
 /*
  *	asinl(x) = atan2l(x,sqrt(1-x*x));
--- old/usr/src/lib/libm/common/Q/atan2l.c	2014-11-25 12:57:17.210157011 -0500
+++ new/usr/src/lib/libm/common/Q/atan2l.c	2014-11-25 12:57:17.221651450 -0500
@@ -56,7 +56,7 @@
  * shown.
  */
 
-#pragma weak atan2l = __atan2l
+#pragma weak __atan2l = atan2l
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/atan2pil.c	2014-11-25 12:57:17.612699791 -0500
+++ new/usr/src/lib/libm/common/Q/atan2pil.c	2014-11-25 12:57:17.624212844 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan2pil = __atan2pil
-
 #include "libm.h"
 
 /*
--- old/usr/src/lib/libm/common/Q/atanhl.c	2014-11-25 12:57:18.005031508 -0500
+++ new/usr/src/lib/libm/common/Q/atanhl.c	2014-11-25 12:57:18.019792029 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atanhl = __atanhl
+#pragma weak __atanhl = atanhl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/atanl.c	2014-11-25 12:57:18.444785188 -0500
+++ new/usr/src/lib/libm/common/Q/atanl.c	2014-11-25 12:57:18.456403849 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atanl = __atanl
+#pragma weak __atanl = atanl
 
 /*
  * atanl(x)
--- old/usr/src/lib/libm/common/Q/cbrtl.c	2014-11-25 12:57:18.908610671 -0500
+++ new/usr/src/lib/libm/common/Q/cbrtl.c	2014-11-25 12:57:18.920037619 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cbrtl = __cbrtl
+#pragma weak __cbrtl = cbrtl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/copysignl.c	2014-11-25 12:57:19.733302061 -0500
+++ new/usr/src/lib/libm/common/Q/copysignl.c	2014-11-25 12:57:19.748001837 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak copysignl = __copysignl
-#endif
+#pragma weak __copysignl = copysignl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/coshl.c	2014-11-25 12:57:20.899975501 -0500
+++ new/usr/src/lib/libm/common/Q/coshl.c	2014-11-25 12:57:20.911442754 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak coshl = __coshl
+#pragma weak __coshl = coshl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/cosl.c	2014-11-25 12:57:21.305764928 -0500
+++ new/usr/src/lib/libm/common/Q/cosl.c	2014-11-25 12:57:21.317280718 -0500
@@ -59,7 +59,7 @@
  *	computer TRIG(x) returns trig(x) nearly rounded.
  */
 
-#pragma weak cosl = __cosl
+#pragma weak __cosl = cosl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/erfl.c	2014-11-25 12:57:21.724570351 -0500
+++ new/usr/src/lib/libm/common/Q/erfl.c	2014-11-25 12:57:21.736278047 -0500
@@ -93,8 +93,8 @@
  *	   erfc(inf) = 0
  */
 
-#pragma weak erfl = __erfl
-#pragma weak erfcl = __erfcl
+#pragma weak __erfl = erfl
+#pragma weak __erfcl = erfcl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/exp10l.c	2014-11-25 12:57:22.171820128 -0500
+++ new/usr/src/lib/libm/common/Q/exp10l.c	2014-11-25 12:57:22.183342344 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp10l = __exp10l
-
 #include "libm.h"
 #include "longdouble.h"
 
--- old/usr/src/lib/libm/common/Q/exp2l.c	2014-11-25 12:57:22.577142062 -0500
+++ new/usr/src/lib/libm/common/Q/exp2l.c	2014-11-25 12:57:22.589301629 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp2l = __exp2l
+#pragma weak __exp2l = exp2l
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/expl.c	2014-11-25 12:57:22.974638129 -0500
+++ new/usr/src/lib/libm/common/Q/expl.c	2014-11-25 12:57:22.986102288 -0500
@@ -67,7 +67,7 @@
  * hexadecimal values.
  */
 
-#pragma weak expl = __expl
+#pragma weak __expl = expl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/expm1l.c	2014-11-25 12:57:23.397327870 -0500
+++ new/usr/src/lib/libm/common/Q/expm1l.c	2014-11-25 12:57:23.408840771 -0500
@@ -27,9 +27,8 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak expm1l = __expm1l
-#endif
+#pragma weak __expm1l = expm1l
+
 #if !defined(__sparc)
 #error Unsupported architecture
 #endif
--- old/usr/src/lib/libm/common/Q/fabsl.c	2014-11-25 12:57:23.802353531 -0500
+++ new/usr/src/lib/libm/common/Q/fabsl.c	2014-11-25 12:57:23.814058558 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fabsl = __fabsl
+#pragma weak __fabsl = fabsl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/finitel.c	2014-11-25 12:57:24.219758466 -0500
+++ new/usr/src/lib/libm/common/Q/finitel.c	2014-11-25 12:57:24.235834203 -0500
@@ -27,10 +27,6 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak finitel = __finitel
-#endif
-
 #include "libm.h"
 
 #if defined(__sparc)
--- old/usr/src/lib/libm/common/Q/floorl.c	2014-11-25 12:57:24.675099536 -0500
+++ new/usr/src/lib/libm/common/Q/floorl.c	2014-11-25 12:57:24.686564864 -0500
@@ -35,8 +35,8 @@
  * with the same sign as x's,  including 0.0.
  */
 
-#pragma weak ceill = __ceill
-#pragma weak floorl = __floorl
+#pragma weak __ceill = ceill
+#pragma weak __floorl = floorl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/fmodl.c	2014-11-25 12:57:25.092859054 -0500
+++ new/usr/src/lib/libm/common/Q/fmodl.c	2014-11-25 12:57:25.104174143 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fmodl = __fmodl
+#pragma weak __fmodl = fmodl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/gammal.c	2014-11-25 12:57:25.514774067 -0500
+++ new/usr/src/lib/libm/common/Q/gammal.c	2014-11-25 12:57:25.526284922 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak gammal = __gammal
+#pragma weak __gammal = gammal
 
 /*
  * long double gammal(long double x);
--- old/usr/src/lib/libm/common/Q/gammal_r.c	2014-11-25 12:57:25.926272398 -0500
+++ new/usr/src/lib/libm/common/Q/gammal_r.c	2014-11-25 12:57:25.938224801 -0500
@@ -31,7 +31,7 @@
  * long double gammal_r(long double x, int *signgamlp);
  */
 
-#pragma weak gammal_r = __gammal_r
+#pragma weak __gammal_r = gammal_r
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/hypotl.c	2014-11-25 12:57:26.348421184 -0500
+++ new/usr/src/lib/libm/common/Q/hypotl.c	2014-11-25 12:57:26.359877156 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak hypotl = __hypotl
+#pragma weak __hypotl = hypotl
 
 /*
  * long double hypotl(long double x, long double y);
--- old/usr/src/lib/libm/common/Q/ieee_funcl.c	2014-11-25 12:57:26.778741793 -0500
+++ new/usr/src/lib/libm/common/Q/ieee_funcl.c	2014-11-25 12:57:26.790457934 -0500
@@ -27,14 +27,6 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak isinfl = __isinfl
-#pragma weak isnormall = __isnormall
-#pragma weak issubnormall = __issubnormall
-#pragma weak iszerol = __iszerol
-#pragma weak signbitl = __signbitl
-#endif
-
 #include "libm.h"
 
 #if defined(__sparc)
--- old/usr/src/lib/libm/common/Q/ilogbl.c	2014-11-25 12:57:27.181850563 -0500
+++ new/usr/src/lib/libm/common/Q/ilogbl.c	2014-11-25 12:57:27.193177878 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak ilogbl = __ilogbl
-#endif
+#pragma weak __ilogbl = ilogbl
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
